<script setup>
defineProps({
  title: { type: String, required: true, default: '' },
  text: { type: String, required: true, default: '' },
  show: { type: Boolean, required: true, default: false },
});
const emit = defineEmits(['un-show']);
const unShow = () => {
  emit('un-show');
};
</script>
<template>
  <div role="dialog" class="fr-modal" :class="{ 'fr-modal--opened': show }">
    <div class="fr-container fr-container--fluid fr-container-md">
      <div class="fr-grid-row fr-grid-row--center">
        <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
          <div class="fr-modal__body">
            <div class="fr-modal__header">
              <button class="fr-btn--close fr-btn" title="Fermer la fenêtre modale" @click="unShow">
                Fermer <span class="fr-fi-close-line" aria-hidden="true"></span>
              </button>
            </div>
            <div class="fr-modal__content">
              <h1 class="fr-modal__title"><span class="fr-fi-arrow-right-line fr-fi--lg" aria-hidden="true"></span>{{ title }}</h1>
              <p>{{ text }}</p>
            </div>
            <div class="fr-modal__footer fr-btns-group--right">
              <DsfrButton label="Continuer le parcours" :icon-right="true" icon="md-keyboarddoublearrowright-sharp" @click="unShow" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
